SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000902SiT!portalpublic2009-08-26 14:532009-10-25 12:55
Reportersancho78rus 
Assigned Toivan 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target VersionFixed in Version3.50 
Summary0000902: strange contact's user names
DescriptionWhen create contacts in russian and he recieves email with username and passwords there is something like '????????????1' instead of username.
Tagsmajorimpact
Attached Filespng file icon russian_chars.png [^] (29,317 bytes) 2009-08-27 12:07

- Relationships
related to 0000744acknowledged Template for design of contact login names 

-  Notes
User avatar (0001828)
ivan (administrator)
2009-08-26 17:53

Thanks for the bug report
User avatar (0001844)
ivan (administrator)
2009-08-27 12:05
edited on: 2009-08-27 12:05

I can't reproduce this one, I created a contact with v3.50 and the username was generated correctly. It seems Mantis has issues with Russian characters so I can't paste it here.

User avatar (0001845)
kieran (administrator)
2009-08-27 12:16
edited on: 2009-08-27 12:17

Just tried this:

Your details are as follows:

username: <russian characters>
password: DBJNpDCM
Please note, this password cannot be recovered, only reset. You may change it in the portal.

So it may well be a problem with the customer's email client.

Edit: as Ivan said, Mantis has mangled the Russian chars.

(0001846)
sancho78rus (reporter)
2009-08-27 12:48

i tried again.
the same....
but if change manualy with phpmyadmin to russian - its ok
and its seams to me, that login in russian - its not good. login must be english or numbers.
(0001847)
sancho78rus (reporter)
2009-08-27 12:49

what cp do you have in db? i have cp1251_general_ci
User avatar (0001848)
ivan (administrator)
2009-08-27 13:08

Hi, the SiT database should be UTF8 throughout, I have "utf8_general_ci". This could explain why you're having issues.
(0001850)
sancho78rus (reporter)
2009-08-27 13:30

now i have utf8_general_ci everywhere.
and when i create contact - login is empty (i looked in phpmyadmin)
User avatar (0001856)
ivan (administrator)
2009-08-27 14:07

Have you altered the character set in the language file to something other than UTF-8 ?
(0001858)
sancho78rus (reporter)
2009-08-27 14:16

what is language file?
(0001974)
sancho78rus (reporter)
2009-09-17 13:51

mmmm.... i see.
I did not altered the character set in the language file to something other than UTF-8.
(0001995)
sancho78rus (reporter)
2009-09-18 08:46

its a very serious problem to us...
User avatar (0002138)
ivan (administrator)
2009-10-25 12:37

This was resolved by the MIME fixes that went into v3.50. All mail is now sent out as MIME with quoted-printable encoding, so Russian characters arrive correctly and do not get garbled.

- Issue History
Date Modified Username Field Change
2009-08-26 14:53 sancho78rus New Issue
2009-08-26 17:53 ivan Note Added: 0001828
2009-08-26 17:53 ivan Status new => acknowledged
2009-08-26 17:53 ivan Relationship added related to 0000744
2009-08-27 12:05 ivan Note Added: 0001844
2009-08-27 12:05 ivan Status acknowledged => feedback
2009-08-27 12:05 ivan Note Edited: 0001844 View Revisions
2009-08-27 12:07 ivan File Added: russian_chars.png
2009-08-27 12:16 kieran Note Added: 0001845
2009-08-27 12:17 kieran Note Edited: 0001845 View Revisions
2009-08-27 12:17 kieran Note Edited: 0001845 View Revisions
2009-08-27 12:48 sancho78rus Note Added: 0001846
2009-08-27 12:49 sancho78rus Note Added: 0001847
2009-08-27 13:08 ivan Note Added: 0001848
2009-08-27 13:30 sancho78rus Note Added: 0001850
2009-08-27 14:07 ivan Note Added: 0001856
2009-08-27 14:16 sancho78rus Note Added: 0001858
2009-09-17 13:51 sancho78rus Note Added: 0001974
2009-09-18 08:46 sancho78rus Note Added: 0001995
2009-09-18 10:15 ivan Tag Attached: majorimpact
2009-09-18 10:15 ivan Priority normal => high
2009-09-18 10:16 ivan Sticky Issue No => Yes
2009-09-22 15:22 ivan Status feedback => assigned
2009-09-22 15:22 ivan Assigned To => ivan
2009-10-25 12:37 ivan Note Added: 0002138
2009-10-25 12:37 ivan Status assigned => resolved
2009-10-25 12:37 ivan Fixed in Version => 3.50
2009-10-25 12:37 ivan Resolution open => fixed
2009-10-25 12:55 ivan Sticky Issue Yes => No
2009-10-25 12:55 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker